Bug 5016 - globusrun-ws fails due to formatting issues in factoryEndpoint element
: globusrun-ws fails due to formatting issues in factoryEndpoint element
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.1.0
: PC Linux
: P3 normal
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-02-19 01:45 by
Modified: 2007-03-23 13:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-19 01:45:21
Job submission fails when the factoryEndpoint is provided in the job
description document and the values of the Address or ResourceID element
contain whitespaces at the beginning or the end.
I guess something goes wrong while reading the values from the file.
Looks like whitespaces are not removed.

Details:

Address element contains whitespaces at the beginning:
######################################################

client side: hangs

[martin@lappi jobs]$ globusrun-ws -submit -f trunkJob2.xml
Submitting job...


server side: exception

2007-02-19T08:31:15,120+01:00 ERROR container.GSIServiceThread
[ServiceThread-25,process:117] [JWSCORE-192] Error processing request
java.io.IOException: Token length 1347375956 > 33554432
        at
org.globus.gsi.gssapi.net.impl.GSIGssInputStream.readToken(GSIGssInputStream.java:98)
        at
org.globus.gsi.gssapi.net.impl.GSIGssInputStream.readHandshakeToken(GSIGssInputStream.java:59)
        at
org.globus.gsi.gssapi.net.impl.GSIGssSocket.readToken(GSIGssSocket.java:65)
        at
org.globus.gsi.gssapi.net.GssSocket.authenticateServer(GssSocket.java:127)
        at
org.globus.gsi.gssapi.net.GssSocket.startHandshake(GssSocket.java:147)
        at
org.globus.gsi.gssapi.net.GssSocket.getOutputStream(GssSocket.java:166)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:115)
        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:459)


Address element contains whitespaces at the end:
################################################

client side: fails

Submitting job...Failed.
globusrun-ws: Error submitting job
an unknown error occurred

server side: nothing happens

no output in normal logging mode (info)


ResourceID element contains whitespaces:
########################################

client side: resource not found

Submitting job...Failed.
globusrun-ws: Error submitting job
globus_soap_message_module: SOAP Fault
Fault code: soapenv:Server.userException
Fault string: java.rmi.RemoteException: The Managed Job Factory Service at
https://127.0.0.1:8443/wsrf/services/ManagedJobFactoryService does not support
the local resource manager with name "Fork ".

server-side: nothing happens

no output in normal logging mode (info)
------- Comment #1 From 2007-02-23 16:39:25 -------
The Address part can be fixed in the C WS Core bindings (proper handling of
whitespace collapsing for xsd:anyURI and xsd:normalizedString can be done
pretty reasonably). I don't think the C parser has enough type information to
decide whether the name should be collapsed. We could add more hacks to the
globusrun-ws EPR creation code to do this, but it might be safer to do so on
the server side (to prevent potential problems with other clients).

joe
------- Comment #2 From 2007-02-26 04:25:16 -------
Joe, i don't know if i mentioned that clearly enough:
This only happens in WS-GRAM from cvs HEAD. WS-GRAM from 4.0 branch
does not show this behaviour.
------- Comment #3 From 2007-03-23 13:56:06 -------
Fixed parsing of anyURI to treat it as a whitespace-normalized token.

joe